---
search:
  tags:
    - Products
    - PATCH
seo:
  description: >-
    Marks a product as deleted by… Reference for the PATCH
    /api/v1/{team_slug}/{app_slug}/products/{product_id}/soft-delete endpoint in
    the Management API.
sidebar:
  label: Soft delete a product
  badge: PATCH
title: Soft delete a product
type: openapi-operation
---
Marks a product as deleted by setting its status to "deleted" and updating all market statuses accordingly. The product remains in the database but is excluded from normal queries. Sends a delete event to downstream systems. The product can be restored by updating its status.

`PATCH /api/v1/{team_slug}/{app_slug}/products/{product_id}/soft-delete`

**Responses**

- `200` — Product deleted
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `409` — Product is used as a component in virtual bundles
- `500` — Internal server error

Response example, 200:

```json
{
  "data": "string",
  "details": [
    "string"
  ],
  "success": true
}
```
